@remit/api-openapi-types 0.0.71 → 0.0.73

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
Files changed (2) hide show
  1. package/package.json +1 -1
  2. package/types.d.ts +51 -11
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@remit/api-openapi-types",
3
- "version": "0.0.71",
3
+ "version": "0.0.73",
4
4
  "type": "module",
5
5
  "main": "types.d.ts",
6
6
  "types": "types.d.ts",
package/types.d.ts CHANGED
@@ -122,9 +122,13 @@ current enum emitter anyway, so the wire contract uses the bare form.
122
122
  */
123
123
  export type FilterScope = "Standing" | "Temporary";
124
124
  /**
125
- * Cache of whether a Filter is still active to evaluate, backing the byAccountAndState index (RFC 034 Decision 1.2). Not the source of truth for expiry — Filter.expiresAt is, compared directly at every evaluation. Starts Active; lazily patched to Expired the first time something reads a Temporary filter past its expiresAt. No Disabled value: this RFC has no flow that pauses a filter without deleting it.
125
+ * Whether a Filter runs, backing the byAccountAndState index (RFC 034 Decision 1.2). Active and Disabled are written; Expired is a lazily-patched cache of Filter.expiresAt, which stays the source of truth for expiry. A Disabled filter records why in Filter.disabledReason.
126
126
  */
127
- export type FilterState = "Active" | "Expired";
127
+ export type FilterState = "Active" | "Expired" | "Disabled";
128
+ /**
129
+ * Why a Filter is Disabled. `None` while the filter is not Disabled; every other value names the one thing that has to change before it can run again.
130
+ */
131
+ export type FilterDisabledReason = "None" | "UserDisabled" | "AwaitingFolder" | "FolderCreateFailed" | "FolderMissing";
128
132
  /**
129
133
  * How a Filter's literalClauses combine (RFC 031 "literal predicates, AND/OR"). Ignored when literalClauses is empty.
130
134
  */
@@ -300,6 +304,10 @@ distinguishable from a network failure without parsing prose.
300
304
  * Where in a message a suggestion was read from. It is what a card says to explain itself, and it is what separates a suggestion carrying real iCalendar from one inferred out of prose.
301
305
  */
302
306
  export type CalendarSuggestionSource = "IcalendarPart" | "IcalendarAttachment" | "TextHeuristic";
307
+ /**
308
+ * The answer an invitation is added to a calendar with. It is written as the user's `ATTENDEE;PARTSTAT` on the stored event (RFC 5545 3.2.12) and becomes the suggestion's state.
309
+ */
310
+ export type CalendarInviteAnswer = "Accepted" | "Tentative";
303
311
  /**
304
312
  * System message flags defined in RFC 9051 Section 2.3.2 - MUST be supported by all servers
305
313
  */
@@ -1639,7 +1647,7 @@ finds it.
1639
1647
  */
1640
1648
  verdict: string;
1641
1649
  /**
1642
- * Why, when the verdict is skipped or rejected
1650
+ * Why, when the verdict is skipped or rejected; for a filter that lands switched off, what it is waiting for
1643
1651
  */
1644
1652
  reason?: string;
1645
1653
  }
@@ -2031,9 +2039,13 @@ data through `byAccountAndState`.
2031
2039
  */
2032
2040
  ttl?: number;
2033
2041
  /**
2034
- * Cache of whether this filter is still active, backing byAccountAndState (RFC 034 Decision 1.2). Starts Active; lazily patched to Expired the first time something reads a Temporary filter past its expiresAt — whichever of index-time evaluation, retroactive replay, or a settings-page list touches it next. Never the correctness source; expiresAt is.
2042
+ * Whether this filter runs, backing byAccountAndState (RFC 034 Decision 1.2). Starts Active. The user sets Active or Disabled on update; the system sets Disabled when the filter cannot work as designed, and records why in disabledReason. Expired is lazily patched the first time something reads a Temporary filter past its expiresAt, which stays the correctness source for expiry.
2035
2043
  */
2036
2044
  state: FilterState;
2045
+ /**
2046
+ * Why this filter is Disabled; `None` whenever state is not Disabled. Written together with state, never on its own: turning a filter on clears it.
2047
+ */
2048
+ disabledReason: FilterDisabledReason;
2037
2049
  /**
2038
2050
  * Whether a sibling FilterAnchor row exists for this filter (RFC 034 Decision 2.3). Lets the index-time worker skip the FilterAnchor `get` entirely for purely-literal filters instead of probing for a row that may not exist.
2039
2051
  */
@@ -2103,9 +2115,13 @@ data through `byAccountAndState`.
2103
2115
  */
2104
2116
  expiresAt?: string;
2105
2117
  /**
2106
- * Cache of whether this filter is still active, backing byAccountAndState (RFC 034 Decision 1.2). Starts Active; lazily patched to Expired the first time something reads a Temporary filter past its expiresAt — whichever of index-time evaluation, retroactive replay, or a settings-page list touches it next. Never the correctness source; expiresAt is.
2118
+ * Whether this filter runs, backing byAccountAndState (RFC 034 Decision 1.2). Starts Active. The user sets Active or Disabled on update; the system sets Disabled when the filter cannot work as designed, and records why in disabledReason. Expired is lazily patched the first time something reads a Temporary filter past its expiresAt, which stays the correctness source for expiry.
2107
2119
  */
2108
2120
  state: FilterState;
2121
+ /**
2122
+ * Why this filter is Disabled; `None` whenever state is not Disabled. Written together with state, never on its own: turning a filter on clears it.
2123
+ */
2124
+ disabledReason: FilterDisabledReason;
2109
2125
  /**
2110
2126
  * Whether a sibling FilterAnchor row exists for this filter (RFC 034 Decision 2.3). Lets the index-time worker skip the FilterAnchor `get` entirely for purely-literal filters instead of probing for a row that may not exist.
2111
2127
  */
@@ -2185,8 +2201,10 @@ sets `hasAnchor`. Absent for a purely-literal filter.
2185
2201
  * Input for updating a filter (RFC 034, reader #266). The name, predicate,
2186
2202
  action, scope, and expiresAt are all updatable; `ttl` is always
2187
2203
  server-derived from `scope`/`expiresAt`, never client-supplied, and
2188
- `state`/`hasAnchor`/`ruleChangedAt`/`actionChangedAt`/`filterId` are
2189
- server-derived too. A patch touching the predicate, the action, `scope`, or
2204
+ `disabledReason`/`hasAnchor`/`ruleChangedAt`/`actionChangedAt`/`filterId` are
2205
+ server-derived too. `state` takes `Active` or `Disabled`: the user turns a
2206
+ filter off or back on, and turning it on clears `disabledReason`. `Expired`
2207
+ is refused; the expiry is set through `scope`/`expiresAt`. A patch touching the predicate, the action, `scope`, or
2190
2208
  `expiresAt` bumps `ruleChangedAt`; a name-only rename never does (RFC 034
2191
2209
  Decision 3.2, reader #266). Only a patch touching the predicate or the
2192
2210
  action bumps `actionChangedAt`, the narrower signal exclusive-move
@@ -2212,6 +2230,10 @@ anchor change through this body (reader #266).
2212
2230
  * ISO 8601 date-time with zone offset, present only when scope is Temporary (RFC 034 Decision 1.1) — a business date, not an epoch instant. Every evaluation compares `now` against this value directly; it is the source of truth for whether a Temporary filter is still active, independent of `state` or row existence. Mutable on update (reader #266), alongside scope — moving the date bumps ruleChangedAt the same way a scope change does.
2213
2231
  */
2214
2232
  expiresAt?: string;
2233
+ /**
2234
+ * Whether this filter runs, backing byAccountAndState (RFC 034 Decision 1.2). Starts Active. The user sets Active or Disabled on update; the system sets Disabled when the filter cannot work as designed, and records why in disabledReason. Expired is lazily patched the first time something reads a Temporary filter past its expiresAt, which stays the correctness source for expiry.
2235
+ */
2236
+ state: FilterState;
2215
2237
  /**
2216
2238
  * How literalClauses combine. Meaningless when literalClauses is empty.
2217
2239
  */
@@ -5455,7 +5477,7 @@ and no message may make that change without them.
5455
5477
  */
5456
5478
  icalData: string;
5457
5479
  /**
5458
- * The `CalendarObject` that accepting this suggestion wrote. `""` until it is accepted — the named absent state, never a missing attribute — and the resource's id afterwards, so the card can link to the event it produced.
5480
+ * The `CalendarObject` that accepting this suggestion wrote. `""` until it is accepted or answered tentatively — the named absent state, never a missing attribute — and the resource's id afterwards, so the card can link to the event it produced.
5459
5481
  */
5460
5482
  acceptedCalendarObjectId: string;
5461
5483
  createdAt: number;
@@ -5530,7 +5552,7 @@ and no message may make that change without them.
5530
5552
  */
5531
5553
  zoneCertainty: ZoneCertainty;
5532
5554
  /**
5533
- * The `CalendarObject` that accepting this suggestion wrote. `""` until it is accepted — the named absent state, never a missing attribute — and the resource's id afterwards, so the card can link to the event it produced.
5555
+ * The `CalendarObject` that accepting this suggestion wrote. `""` until it is accepted or answered tentatively — the named absent state, never a missing attribute — and the resource's id afterwards, so the card can link to the event it produced.
5534
5556
  */
5535
5557
  acceptedCalendarObjectId: string;
5536
5558
  createdAt: number;
@@ -5544,6 +5566,10 @@ and no message may make that change without them.
5544
5566
  * Collection the accepted event is written into.
5545
5567
  */
5546
5568
  calendarId: UUID;
5569
+ /**
5570
+ * How the user answers. `Tentative` adds the event as a maybe. Refused with 400 on a `Cancel` suggestion, which has nothing to answer tentatively.
5571
+ */
5572
+ answer?: CalendarInviteAnswer;
5547
5573
  }
5548
5574
  /**
5549
5575
  * Body of `POST /calendar-suggestions/{suggestionId}/dismiss`.
@@ -5613,6 +5639,10 @@ the binder writes the row it belongs to once the path resolves.
5613
5639
  * The role for a folder role, the folder path for a mailbox override, the filter id for a filter's move action
5614
5640
  */
5615
5641
  target: String256;
5642
+ /**
5643
+ * The folder the binder asked the mail server to create for this path, once discovery showed the account lacks it. The binder waits for that row to settle and binds to it by id, because the server may store the folder under a normalized path. `None` until a create is issued.
5644
+ */
5645
+ mailboxId: string;
5616
5646
  }
5617
5647
  /**
5618
5648
  * One applied configuration import (#1021). It exists because a file's folder
@@ -8062,6 +8092,9 @@ same service function every other calendar write goes through — so a web
8062
8092
  edit and a native edit of that event cannot diverge. Accepting a `Cancel`
8063
8093
  suggestion writes `STATUS:CANCELLED` on the resource the same way.
8064
8094
 
8095
+ `answer: Tentative` writes the same resource with `PARTSTAT=TENTATIVE`
8096
+ and moves the suggestion to `Tentative` instead of `Accepted`.
8097
+
8065
8098
  No reply is sent to the organizer. This endpoint sends no mail at all,
8066
8099
  and the card says so.
8067
8100
 
@@ -8070,7 +8103,8 @@ resource and returns the same suggestion, because both the resource id
8070
8103
  and the suggestion id are derived rather than minted.
8071
8104
 
8072
8105
  400 when the suggestion is not one that can be accepted — already
8073
- declined, dismissed or superseded — or when its iCalendar will not parse.
8106
+ answered otherwise, dismissed or superseded — when a `Cancel` suggestion
8107
+ is answered `Tentative`, or when its iCalendar will not parse.
8074
8108
  */
8075
8109
  'acceptCalendarSuggestion'(
8076
8110
  parameters?: Parameters<Paths.AcceptCalendarSuggestion.PathParameters> | null,
@@ -8946,6 +8980,9 @@ same service function every other calendar write goes through — so a web
8946
8980
  edit and a native edit of that event cannot diverge. Accepting a `Cancel`
8947
8981
  suggestion writes `STATUS:CANCELLED` on the resource the same way.
8948
8982
 
8983
+ `answer: Tentative` writes the same resource with `PARTSTAT=TENTATIVE`
8984
+ and moves the suggestion to `Tentative` instead of `Accepted`.
8985
+
8949
8986
  No reply is sent to the organizer. This endpoint sends no mail at all,
8950
8987
  and the card says so.
8951
8988
 
@@ -8954,7 +8991,8 @@ resource and returns the same suggestion, because both the resource id
8954
8991
  and the suggestion id are derived rather than minted.
8955
8992
 
8956
8993
  400 when the suggestion is not one that can be accepted — already
8957
- declined, dismissed or superseded — or when its iCalendar will not parse.
8994
+ answered otherwise, dismissed or superseded — when a `Cancel` suggestion
8995
+ is answered `Tentative`, or when its iCalendar will not parse.
8958
8996
  */
8959
8997
  'post'(
8960
8998
  parameters?: Parameters<Paths.AcceptCalendarSuggestion.PathParameters> | null,
@@ -9194,6 +9232,7 @@ export type MailboxCursorState = Components.Schemas.MailboxCursorState;
9194
9232
  export type MailboxSpecialUse = Components.Schemas.MailboxSpecialUse;
9195
9233
  export type FilterScope = Components.Schemas.FilterScope;
9196
9234
  export type FilterState = Components.Schemas.FilterState;
9235
+ export type FilterDisabledReason = Components.Schemas.FilterDisabledReason;
9197
9236
  export type FilterMatchOperator = Components.Schemas.FilterMatchOperator;
9198
9237
  export type FilterClauseField = Components.Schemas.FilterClauseField;
9199
9238
  export type LabelColor = Components.Schemas.LabelColor;
@@ -9233,6 +9272,7 @@ export type LabelAction = Components.Schemas.LabelAction;
9233
9272
  export type CalendarSuggestionState = Components.Schemas.CalendarSuggestionState;
9234
9273
  export type CalendarInviteMethod = Components.Schemas.CalendarInviteMethod;
9235
9274
  export type CalendarSuggestionSource = Components.Schemas.CalendarSuggestionSource;
9275
+ export type CalendarInviteAnswer = Components.Schemas.CalendarInviteAnswer;
9236
9276
  export type MessageSystemFlag = Components.Schemas.MessageSystemFlag;
9237
9277
  export type MessageKeywordFlag = Components.Schemas.MessageKeywordFlag;
9238
9278
  export type MailboxAttribute = Components.Schemas.MailboxAttribute;